#include<iostream>
#include<iomanip>
#include<time.h>
#include<math.h>
using namespace std;

void initializeRandomList(int list[], int size);
void sort(int list[], int size);
void display(int list[], int size);

void main()
{
	srand((int)time(NULL));
	int A[10];
	initializeRandomList(A, 10);
	sort(A, 10);
	display(A, 10);
}
void initializeRandomList(int list[], int size)
{
	for (int i = 0; i < size; i++)
	{
		list[i] = rand();
	}
}

void sort(int list[], int size)
{
	for (int i = 0; i < size-1; i++)
	{
		//find the smallest item in the unsorted part of the list
		//and move it to index i
		int indexOfSmallest = i;
		for (int j = i; j < size; j++)
		{
			if (list[j] < list[indexOfSmallest])
			{
				indexOfSmallest = j;
			}
		}
		int temp = list[i];
		list[i] = list[indexOfSmallest];
		list[indexOfSmallest] = temp;
	}
}


void display(int list[], int size)
{
	for (int i = 0; i < size; i++)
	{
		cout << list[i] << endl;
	}
}

